summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/release6
-rwxr-xr-xbin/snapshot5
-rwxr-xr-xbin/trace2
3 files changed, 9 insertions, 4 deletions
diff --git a/bin/release b/bin/release
index f4a11dd..8c1e5aa 100755
--- a/bin/release
+++ b/bin/release
@@ -91,7 +91,11 @@ echo "This is hdf5-$VERS released on `date`" >README.x
tail -n +2 <README >>README.x
mv README.x README
test "$verbose" && echo " Running tar..." 1>&2
-(cd ..; tar cf x.tar `sed s+^.+hdf5-$VERS+ hdf5-$VERS/MANIFEST` || exit 1)
+( \
+ cd ..; \
+ tar cf x.tar hdf5-$VERS/Makefile \
+ `sed s+^.+hdf5-$VERS+ hdf5-$VERS/MANIFEST` || exit 1 \
+)
# Compress
for comp in $methods; do
diff --git a/bin/snapshot b/bin/snapshot
index 2bb7876..31a7fa3 100755
--- a/bin/snapshot
+++ b/bin/snapshot
@@ -1,5 +1,6 @@
#!/bin/sh
set -x
+date
#
# This script should be run nightly from cron. It checks out hdf5
# from the CVS source tree and compares it against the previous
@@ -33,8 +34,8 @@ cvs -Q co -d ${COMPARE}/current hdf5 || exit 1
# Compare it with the previous version.
if [ -d ${COMPARE}/previous ]; then
- if (diff -r -I H5_VERS_RELEASE -I " released on " \
- ${COMPARE}/previous ${COMPARE}/current >/dev/null); then
+ if (diff -r -I H5_VERS_RELEASE -I " released on " --exclude CVS \
+ ${COMPARE}/previous ${COMPARE}/current); then
update=no
else
update=yes
diff --git a/bin/trace b/bin/trace
index 3ab902e..4dab596 100755
--- a/bin/trace
+++ b/bin/trace
@@ -55,7 +55,7 @@ $Source = "";
"H5T_overflow_t" => "x",
"H5Z_func_t" => "x",
"size_t" => "z",
- "H5Z_method_t" => "Zm",
+ "H5Z_filter_t" => "Zf",
"ssize_t" => "Zs",
);